Package org.apache.sysds.runtime.compress.utils

# Interface Util

public interface Util

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static int[]`
`combine(int[] lhs, int[] rhs)`
`static boolean`
`eq(double a, double b)`
Nan Enabled equals operator returns true on Nan == Nan.
`static MatrixBlock`
`extractValues(double[] v, IColIndex colIndexes)`
`static int[]`
`genColsIndices(int numCols)`
`static int[]`
`genColsIndices(int cl, int cu)`
`static int[]`
`genColsIndicesOffset(int numCols, int start)`
`static int`
`getPow2(int x)`
`static MatrixBlock`
`matrixBlockFromDenseArray(double[] values, int nCol)`
`static MatrixBlock`
`matrixBlockFromDenseArray(double[] values, int nCol, boolean check)`

## Field Details

### LOG

static final org.apache.commons.logging.Log LOG

## Method Details

### combine

static int[] combine(int[] lhs, int[] rhs)

### getPow2

static int getPow2(int x)

### genColsIndices

static int[] genColsIndices(int numCols)

### genColsIndices

static int[] genColsIndices(int cl, int cu)

### genColsIndicesOffset

static int[] genColsIndicesOffset(int numCols, int start)

### matrixBlockFromDenseArray

static MatrixBlock matrixBlockFromDenseArray(double[] values, int nCol)

### matrixBlockFromDenseArray

static MatrixBlock matrixBlockFromDenseArray(double[] values, int nCol, boolean check)

### extractValues

static MatrixBlock extractValues(double[] v, IColIndex colIndexes)

### eq

static boolean eq(double a, double b)
Nan Enabled equals operator returns true on Nan == Nan.

Parameters:
  `a` - value 1
  `b` - value 2
Returns:
  if they are equal on the bit level.